GuideLab API

Update Qc Checklist Item

Update an existing QC checklist item's name, active status, or sort order.

PUT
/qc-checklist/{id}

Update an existing QC checklist item's name, active status, or sort order.

Authorization

__Secure-guidelab-prod.session_token<token>

Production session cookie set for the guidelab.co domain by Better Auth

In: cookie

Path Parameters

id*string

QC checklist item ID

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X PUT "https://example.com/qc-checklist/550e8400-e29b-41d4-a716-446655440000" \  -H "Content-Type: application/json" \  -d '{}'
{  "item": {    "id": "string",    "labId": "string",    "name": "string",    "sortOrder": 0,    "isActive": true,    "createdAt": "string",    "updatedAt": "string"  }}
Empty
Empty
Empty
Empty